Bug 243750 - devel/libappindicator: update to 12.10.1.1804201803221.05 and undeprecate
Summary: devel/libappindicator: update to 12.10.1.1804201803221.05 and undeprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://packages.ubuntu.com/source/fo...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-31 07:29 UTC by Hiroki Tagato
Modified: 2020-02-06 18:23 UTC (History)
2 users (show)

See Also:


Attachments
Patch (7.30 KB, patch)
2020-01-31 07:29 UTC, Hiroki Tagato
no flags Details | Diff
Patch (rev1) (7.31 KB, patch)
2020-02-06 11:19 UTC, Hiroki Tagato
tagattie: maintainer-approval? (swills)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroki Tagato 2020-01-31 07:29:58 UTC
Created attachment 211212 [details]
Patch

Ubuntu package repository has an updated version of devel/appindicator.[1]

This version does not depend on EOLed python 2.7 anymore, hence undeprecates the port.

Upstream changes:
https://bazaar.launchpad.net/~indicator-applet-developers/libappindicator/trunk.16.10/view/head:/debian/changelog

Port changes:
- Switch upstream to Ubuntu package repository from launchpad
- Drop dependency on python 2.7 and undeprecate
- Add gnome-common and gtk-doc to BUILD_DEPENDS
- Drop libindicator from LIB_DEPENDS

QA:
poudriere testport OK (releng/12.1 amd64)

[1] https://packages.ubuntu.com/source/focal/libappindicator
Comment 1 Steve Wills freebsd_committer 2020-01-31 07:51:18 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/113852029
Comment 2 Steve Wills freebsd_committer 2020-02-04 14:21:33 UTC
(In reply to Hiroki Tagato from comment #0)
I'm happy to give you maintainership of the port, would you be willing to accept?
Comment 3 Hiroki Tagato 2020-02-05 11:07:40 UTC
(In reply to Steve Wills from comment #2)
Thanks for the kind offer. Yes, I'm happy to accept.
Comment 4 Hiroki Tagato 2020-02-06 11:19:53 UTC
Created attachment 211410 [details]
Patch (rev1)

Updated the patch file to take maintainership.
Comment 5 commit-hook freebsd_committer 2020-02-06 18:22:56 UTC
A commit references this bug:

Author: swills
Date: Thu Feb  6 18:22:25 UTC 2020
New revision: 525397
URL: https://svnweb.freebsd.org/changeset/ports/525397

Log:
  devel/libappindicator: update and undeprecate

  While here, pass maintainership to submitter

  PR:		243750
  Submitted by:	Hiroki Tagato <tagattie@yandex.com>

Changes:
  head/devel/libappindicator/Makefile
  head/devel/libappindicator/distinfo
  head/devel/libappindicator/files/extra-patch-bindings-vala-examples-Makefile.in
  head/devel/libappindicator/files/extra-patch-bindings_vala_examples_Makefile.am
  head/devel/libappindicator/files/patch-src_Makefile.in
  head/devel/libappindicator/pkg-plist
Comment 6 Steve Wills freebsd_committer 2020-02-06 18:23:14 UTC
Committed, thanks!